<?php

namespace app\admin\controller\medical;

use app\admin\validate\medical\ShopValidate;
use app\controller\Curd;
use app\model\MedicalShop;
use support\Request;
use support\Response;

class ShopController extends Curd
{
    public function __construct()
    {
        $this->model = new MedicalShop();
        $this->validate = true;
        $this->validateClass = new ShopValidate();
    }

    /**
     * @Desc 删除
     * @Author Gorden
     * @Date 2024/3/1 9:15
     *
     * @param Request $request
     * @return Response
     * @throws \support\exception\BusinessException
     */
    public function select(Request $request): Response
    {
        [$where, $format, $limit, $field, $order] = $this->selectInput($request);
        $order = $request->get('order', 'desc');
        $field = $field ?? 'shop_sort';
        $where['shop_is_del'] = 0;
        $query = $this->doSelect($where, $field, $order);
        return $this->doFormat($query, $format, $limit);
    }

    /**
     * @Desc 删除
     * @Author Gorden
     * @Date 2024/3/1 9:14
     *
     * @param Request $request
     * @return Response
     * @throws \support\exception\BusinessException
     */
    public function delete(Request $request): Response
    {
        $ids = $this->deleteInput($request);
        $this->doSoftDelete($ids, ['shop_is_del' => 1]);

        return json_success('success');
    }
}