<?php

namespace app\admin\validate\healthy;

use think\Validate;

class ProductValidate extends Validate
{
    protected $rule = [
        'product_id' => 'require|integer',
        'product_category_id' => 'require|integer',
        'product_shop_id' => 'require|integer',
        'product_name' => 'require|chsDash',
        'product_price' => 'require|float',
        'product_freight_fee' => 'require|float',
        'product_postage_id' => 'require|integer',
        'product_packing_fee' => 'require|float',
        'product_weight' => 'require|float',
        'product_image' => 'regex:/^[0-9a-zA-Z\.\/]+$/',
        'product_image_slide' => 'regex:/^[0-9a-zA-Z\.\/\,]+$/',
        'product_limit' => 'max:150',
        'product_notice' => 'max:150',
        'product_guarantee' => 'max:150',
        'product_type' => 'in:0,1',
        'product_status' => 'in:0,1',
        'product_audit' => 'in:0,1,2',
        'product_sort' => 'require|integer',
        'product_reject_reason' => 'max:255'
    ];

    protected $message = [];

    protected $scene = [
        'add' => ['product_category_id', 'product_shop_id', 'product_name', 'product_price', 'product_freight_fee', 'product_postage_id',
            'product_packing_fee', 'product_weight', 'product_image', 'product_image_slide', 'product_limit', 'product_notice',
            'product_guarantee', 'product_type', 'product_status', 'product_audit', 'product_sort'],

        'update' => ['product_id', 'product_category_id', 'product_shop_id', 'product_name', 'product_price', 'product_freight_fee',
            'product_postage_id', 'product_packing_fee', 'product_weight', 'product_image', 'product_image_slide', 'product_limit',
            'product_notice', 'product_guarantee', 'product_type', 'product_status', 'product_audit', 'product_sort','product_reject_reason'],
    ];
}
