<?php

namespace app\admin\validate\medical;

use think\Validate;

class DoctorValidate extends Validate
{
    protected $rule = [
        'doctor_id' => 'require|integer',
        'doctor_name' => 'require|chsDash',
        'doctor_position' => 'require|chsDash',
        'doctor_avatar' => 'require|regex:/^[0-9a-zA-Z\.\/]+$/',
        'doctor_mobile' => 'mobile',
        'doctor_is_visit' => 'require|in:0,1',
        'doctor_price' => 'require|float',
        'doctor_type' => 'require|in:0,1,2',
        'doctor_on_line' => 'require|in:0,1',
        'doctor_shop_id' => 'require|integer',
        'doctor_subject_id' => 'require|integer',
        'doctor_status' => 'in:0,1'
    ];

    protected $message = [];

    protected $scene = [
        'add' => ['doctor_name', 'doctor_position', 'doctor_avatar', 'doctor_mobile', 'doctor_is_visit', 'doctor_price',
            'doctor_type', 'doctor_on_line', 'doctor_shop_id', 'doctor_subject_id', 'doctor_status'],
        'update' => ['doctor_id', 'doctor_name', 'doctor_position', 'doctor_avatar', 'doctor_mobile', 'doctor_is_visit', 'doctor_price',
            'doctor_type', 'doctor_on_line', 'doctor_shop_id', 'doctor_subject_id', 'doctor_status'],
    ];
}